Delete an L2 Segment

DELETE/v1/l2_segments/{l2_segment_id}

In case you need to remove an L2 Segment, send a DELETE request to /v1/l2_segments/{l2_segment_id}, the path parameter indicates a segment for this operation.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
l2_segment_id
string

A unique identifier of an L2 Segment.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/l2_segments/olej2Rej"
{  "id": "olej2Rej",  "name": "name1464",  "type": "public",  "status": "removing",  "location_group_id": 88,  "location_group_code": "location3043",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "updated_at": "2025-12-31T00:00:00Z",  "created_at": "2025-12-31T00:00:00Z"}